> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitor

> Get a competitor by ID



## OpenAPI

````yaml /api-reference/openapi.json get /brands/{brand_id}/competitors/{competitor_id}
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /brands/{brand_id}/competitors/{competitor_id}:
    get:
      summary: Get Competitor
      description: Get a competitor by ID
      operationId: getCompetitor
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: integer
            title: Brand Id
        - name: competitor_id
          in: path
          required: true
          schema:
            type: integer
            title: Competitor Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APICompetitorListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - query
components:
  schemas:
    APICompetitorListing:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          default: []
        websites:
          items:
            type: string
          type: array
          title: Websites
          default: []
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: false
      type: object
      required:
        - id
        - name
      title: APICompetitorListing
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````